Upstream information

CVE-2011-2511 at MITRE

Description

Integer overflow in libvirt before 0.9.3 allows remote authenticated users to cause a denial of service (libvirtd crash) and possibly execute arbitrary code via a crafted VirDomainGetVcpus RPC call that triggers memory corruption.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4
Vector AV:N/AC:L/Au:S/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entry: 703084 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • libvirt >= 1.2.5-13.3
  • libvirt-client >= 1.2.5-13.3
  • libvirt-client-32bit >= 1.2.5-13.3
  • libvirt-daemon >= 1.2.5-13.3
  • libvirt-daemon-config-network >= 1.2.5-13.3
  • libvirt-daemon-config-nwfilter >= 1.2.5-13.3
  • libvirt-daemon-driver-interface >= 1.2.5-13.3
  • libvirt-daemon-driver-libxl >= 1.2.5-13.3
  • libvirt-daemon-driver-lxc >= 1.2.5-13.3
  • libvirt-daemon-driver-network >= 1.2.5-13.3
  • libvirt-daemon-driver-nodedev >= 1.2.5-13.3
  • libvirt-daemon-driver-nwfilter >= 1.2.5-13.3
  • libvirt-daemon-driver-qemu >= 1.2.5-13.3
  • libvirt-daemon-driver-secret >= 1.2.5-13.3
  • libvirt-daemon-driver-storage >= 1.2.5-13.3
  • libvirt-daemon-lxc >= 1.2.5-13.3
  • libvirt-daemon-qemu >= 1.2.5-13.3
  • libvirt-daemon-xen >= 1.2.5-13.3
  • libvirt-doc >= 1.2.5-13.3
Patchnames:
SUSE Linux Enterprise Desktop 12 GA libvirt
SUSE Linux Enterprise Desktop 12 SP1
  • libvirt >= 1.2.18.1-4.22
  • libvirt-client >= 1.2.18.1-4.22
  • libvirt-client-32bit >= 1.2.18.1-4.22
  • libvirt-daemon >= 1.2.18.1-4.22
  • libvirt-daemon-config-network >= 1.2.18.1-4.22
  • libvirt-daemon-config-nwfilter >= 1.2.18.1-4.22
  • libvirt-daemon-driver-interface >= 1.2.18.1-4.22
  • libvirt-daemon-driver-libxl >= 1.2.18.1-4.22
  • libvirt-daemon-driver-lxc >= 1.2.18.1-4.22
  • libvirt-daemon-driver-network >= 1.2.18.1-4.22
  • libvirt-daemon-driver-nodedev >= 1.2.18.1-4.22
  • libvirt-daemon-driver-nwfilter >= 1.2.18.1-4.22
  • libvirt-daemon-driver-qemu >= 1.2.18.1-4.22
  • libvirt-daemon-driver-secret >= 1.2.18.1-4.22
  • libvirt-daemon-driver-storage >= 1.2.18.1-4.22
  • libvirt-daemon-lxc >= 1.2.18.1-4.22
  • libvirt-daemon-qemu >= 1.2.18.1-4.22
  • libvirt-daemon-xen >= 1.2.18.1-4.22
  • libvirt-doc >= 1.2.18.1-4.22
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libvirt
SUSE Linux Enterprise Desktop 12 SP2
  • libvirt >= 2.0.0-26.2
  • libvirt-client >= 2.0.0-26.2
  • libvirt-client-32bit >= 2.0.0-26.2
  • libvirt-daemon >= 2.0.0-26.2
  • libvirt-daemon-config-network >= 2.0.0-26.2
  • libvirt-daemon-config-nwfilter >= 2.0.0-26.2
  • libvirt-daemon-driver-interface >= 2.0.0-26.2
  • libvirt-daemon-driver-libxl >= 2.0.0-26.2
  • libvirt-daemon-driver-lxc >= 2.0.0-26.2
  • libvirt-daemon-driver-network >= 2.0.0-26.2
  • libvirt-daemon-driver-nodedev >= 2.0.0-26.2
  • libvirt-daemon-driver-nwfilter >= 2.0.0-26.2
  • libvirt-daemon-driver-qemu >= 2.0.0-26.2
  • libvirt-daemon-driver-secret >= 2.0.0-26.2
  • libvirt-daemon-driver-storage >= 2.0.0-26.2
  • libvirt-daemon-lxc >= 2.0.0-26.2
  • libvirt-daemon-qemu >= 2.0.0-26.2
  • libvirt-daemon-xen >= 2.0.0-26.2
  • libvirt-doc >= 2.0.0-26.2
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libvirt
SUSE Linux Enterprise Desktop 12 SP3
  • libvirt >= 3.3.0-4.28
  • libvirt-admin >= 3.3.0-4.28
  • libvirt-client >= 3.3.0-4.28
  • libvirt-daemon >= 3.3.0-4.28
  • libvirt-daemon-config-network >= 3.3.0-4.28
  • libvirt-daemon-config-nwfilter >= 3.3.0-4.28
  • libvirt-daemon-driver-interface >= 3.3.0-4.28
  • libvirt-daemon-driver-libxl >= 3.3.0-4.28
  • libvirt-daemon-driver-lxc >= 3.3.0-4.28
  • libvirt-daemon-driver-network >= 3.3.0-4.28
  • libvirt-daemon-driver-nodedev >= 3.3.0-4.28
  • libvirt-daemon-driver-nwfilter >= 3.3.0-4.28
  • libvirt-daemon-driver-qemu >= 3.3.0-4.28
  • libvirt-daemon-driver-secret >= 3.3.0-4.28
  • libvirt-daemon-driver-storage >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-core >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-disk >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-iscsi >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-logical >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-mpath >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-rbd >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-scsi >= 3.3.0-4.28
  • libvirt-daemon-lxc >= 3.3.0-4.28
  • libvirt-daemon-qemu >= 3.3.0-4.28
  • libvirt-daemon-xen >= 3.3.0-4.28
  • libvirt-doc >= 3.3.0-4.28
  • libvirt-libs >= 3.3.0-4.28
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libvirt
SUSE Linux Enterprise Module for Basesystem 15
  • libvirt-libs >= 4.0.0-7.4
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libvirt-libs
SUSE Linux Enterprise Module for Server Applications 15
  • libvirt >= 4.0.0-7.4
  • libvirt-admin >= 4.0.0-7.4
  • libvirt-client >= 4.0.0-7.4
  • libvirt-daemon >= 4.0.0-7.4
  • libvirt-daemon-config-network >= 4.0.0-7.4
  • libvirt-daemon-config-nwfilter >= 4.0.0-7.4
  • libvirt-daemon-driver-interface >= 4.0.0-7.4
  • libvirt-daemon-driver-libxl >= 4.0.0-7.4
  • libvirt-daemon-driver-lxc >= 4.0.0-7.4
  • libvirt-daemon-driver-network >= 4.0.0-7.4
  • libvirt-daemon-driver-nodedev >= 4.0.0-7.4
  • libvirt-daemon-driver-nwfilter >= 4.0.0-7.4
  • libvirt-daemon-driver-qemu >= 4.0.0-7.4
  • libvirt-daemon-driver-secret >= 4.0.0-7.4
  • libvirt-daemon-driver-storage >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-core >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-disk >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-iscsi >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-logical >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-mpath >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-rbd >= 4.0.0-7.4
  • libvirt-daemon-driver-storage-scsi >= 4.0.0-7.4
  • libvirt-daemon-hooks >= 4.0.0-7.4
  • libvirt-daemon-lxc >= 4.0.0-7.4
  • libvirt-daemon-qemu >= 4.0.0-7.4
  • libvirt-daemon-xen >= 4.0.0-7.4
  • libvirt-devel >= 4.0.0-7.4
  • libvirt-doc >= 4.0.0-7.4
  • libvirt-lock-sanlock >= 4.0.0-7.4
  • libvirt-nss >= 4.0.0-7.4
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA libvirt
SUSE Linux Enterprise Server 11 SP1
  • libvirt >= 0.7.6-1.25.1
  • libvirt-doc >= 0.7.6-1.25.1
  • libvirt-python >= 0.7.6-1.25.1
Patchnames:
slessp1-libvirt
SUSE Linux Enterprise Server 11 SP2
  • libvirt >= 0.9.6-0.13.42
  • libvirt-client >= 0.9.6-0.13.42
  • libvirt-client-32bit >= 0.9.6-0.13.42
  • libvirt-doc >= 0.9.6-0.13.42
  • libvirt-python >= 0.9.6-0.13.42
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA libvirt
SUSE Linux Enterprise Server 11 SP3
  • libvirt >= 1.0.5.1-0.7.10
  • libvirt-client >= 1.0.5.1-0.7.10
  • libvirt-client-32bit >= 1.0.5.1-0.7.10
  • libvirt-doc >= 1.0.5.1-0.7.10
  • libvirt-lock-sanlock >= 1.0.5.1-0.7.10
  • libvirt-python >= 1.0.5.1-0.7.10
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA libvirt
SUSE Linux Enterprise Server 11 SP4
  • libvirt >= 1.2.5-3.76
  • libvirt-client >= 1.2.5-3.76
  • libvirt-client-32bit >= 1.2.5-3.76
  • libvirt-doc >= 1.2.5-3.76
  • libvirt-lock-sanlock >= 1.2.5-3.76
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libvirt
SUSE Linux Enterprise Server 12
  • libvirt >= 1.2.5-13.3
  • libvirt-client >= 1.2.5-13.3
  • libvirt-daemon >= 1.2.5-13.3
  • libvirt-daemon-config-network >= 1.2.5-13.3
  • libvirt-daemon-config-nwfilter >= 1.2.5-13.3
  • libvirt-daemon-driver-interface >= 1.2.5-13.3
  • libvirt-daemon-driver-libxl >= 1.2.5-13.3
  • libvirt-daemon-driver-lxc >= 1.2.5-13.3
  • libvirt-daemon-driver-network >= 1.2.5-13.3
  • libvirt-daemon-driver-nodedev >= 1.2.5-13.3
  • libvirt-daemon-driver-nwfilter >= 1.2.5-13.3
  • libvirt-daemon-driver-qemu >= 1.2.5-13.3
  • libvirt-daemon-driver-secret >= 1.2.5-13.3
  • libvirt-daemon-driver-storage >= 1.2.5-13.3
  • libvirt-daemon-lxc >= 1.2.5-13.3
  • libvirt-daemon-qemu >= 1.2.5-13.3
  • libvirt-daemon-xen >= 1.2.5-13.3
  • libvirt-doc >= 1.2.5-13.3
  • libvirt-lock-sanlock >= 1.2.5-13.3
Patchnames:
SUSE Linux Enterprise Server 12 GA libvirt
SUSE Linux Enterprise Server 12 SP1
  • libvirt >= 1.2.18.1-4.22
  • libvirt-client >= 1.2.18.1-4.22
  • libvirt-daemon >= 1.2.18.1-4.22
  • libvirt-daemon-config-network >= 1.2.18.1-4.22
  • libvirt-daemon-config-nwfilter >= 1.2.18.1-4.22
  • libvirt-daemon-driver-interface >= 1.2.18.1-4.22
  • libvirt-daemon-driver-libxl >= 1.2.18.1-4.22
  • libvirt-daemon-driver-lxc >= 1.2.18.1-4.22
  • libvirt-daemon-driver-network >= 1.2.18.1-4.22
  • libvirt-daemon-driver-nodedev >= 1.2.18.1-4.22
  • libvirt-daemon-driver-nwfilter >= 1.2.18.1-4.22
  • libvirt-daemon-driver-qemu >= 1.2.18.1-4.22
  • libvirt-daemon-driver-secret >= 1.2.18.1-4.22
  • libvirt-daemon-driver-storage >= 1.2.18.1-4.22
  • libvirt-daemon-lxc >= 1.2.18.1-4.22
  • libvirt-daemon-qemu >= 1.2.18.1-4.22
  • libvirt-daemon-xen >= 1.2.18.1-4.22
  • libvirt-doc >= 1.2.18.1-4.22
  • libvirt-lock-sanlock >= 1.2.18.1-4.22
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA libvirt
SUSE Linux Enterprise Server 12 SP2
  • libvirt >= 2.0.0-26.2
  • libvirt-client >= 2.0.0-26.2
  • libvirt-daemon >= 2.0.0-26.2
  • libvirt-daemon-config-network >= 2.0.0-26.2
  • libvirt-daemon-config-nwfilter >= 2.0.0-26.2
  • libvirt-daemon-driver-interface >= 2.0.0-26.2
  • libvirt-daemon-driver-libxl >= 2.0.0-26.2
  • libvirt-daemon-driver-lxc >= 2.0.0-26.2
  • libvirt-daemon-driver-network >= 2.0.0-26.2
  • libvirt-daemon-driver-nodedev >= 2.0.0-26.2
  • libvirt-daemon-driver-nwfilter >= 2.0.0-26.2
  • libvirt-daemon-driver-qemu >= 2.0.0-26.2
  • libvirt-daemon-driver-secret >= 2.0.0-26.2
  • libvirt-daemon-driver-storage >= 2.0.0-26.2
  • libvirt-daemon-lxc >= 2.0.0-26.2
  • libvirt-daemon-qemu >= 2.0.0-26.2
  • libvirt-daemon-xen >= 2.0.0-26.2
  • libvirt-doc >= 2.0.0-26.2
  • libvirt-lock-sanlock >= 2.0.0-26.2
  • libvirt-nss >= 2.0.0-26.2
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libvirt
SUSE Linux Enterprise Server 12 SP3
  • libvirt >= 3.3.0-4.28
  • libvirt-admin >= 3.3.0-4.28
  • libvirt-client >= 3.3.0-4.28
  • libvirt-daemon >= 3.3.0-4.28
  • libvirt-daemon-config-network >= 3.3.0-4.28
  • libvirt-daemon-config-nwfilter >= 3.3.0-4.28
  • libvirt-daemon-driver-interface >= 3.3.0-4.28
  • libvirt-daemon-driver-libxl >= 3.3.0-4.28
  • libvirt-daemon-driver-lxc >= 3.3.0-4.28
  • libvirt-daemon-driver-network >= 3.3.0-4.28
  • libvirt-daemon-driver-nodedev >= 3.3.0-4.28
  • libvirt-daemon-driver-nwfilter >= 3.3.0-4.28
  • libvirt-daemon-driver-qemu >= 3.3.0-4.28
  • libvirt-daemon-driver-secret >= 3.3.0-4.28
  • libvirt-daemon-driver-storage >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-core >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-disk >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-iscsi >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-logical >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-mpath >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-rbd >= 3.3.0-4.28
  • libvirt-daemon-driver-storage-scsi >= 3.3.0-4.28
  • libvirt-daemon-lxc >= 3.3.0-4.28
  • libvirt-daemon-qemu >= 3.3.0-4.28
  • libvirt-daemon-xen >= 3.3.0-4.28
  • libvirt-doc >= 3.3.0-4.28
  • libvirt-libs >= 3.3.0-4.28
  • libvirt-lock-sanlock >= 3.3.0-4.28
  • libvirt-nss >= 3.3.0-4.28
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libvirt
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libvirt >= 2.0.0-26.2
  • libvirt-client >= 2.0.0-26.2
  • libvirt-daemon >= 2.0.0-26.2
  • libvirt-daemon-config-network >= 2.0.0-26.2
  • libvirt-daemon-config-nwfilter >= 2.0.0-26.2
  • libvirt-daemon-driver-interface >= 2.0.0-26.2
  • libvirt-daemon-driver-lxc >= 2.0.0-26.2
  • libvirt-daemon-driver-network >= 2.0.0-26.2
  • libvirt-daemon-driver-nodedev >= 2.0.0-26.2
  • libvirt-daemon-driver-nwfilter >= 2.0.0-26.2
  • libvirt-daemon-driver-qemu >= 2.0.0-26.2
  • libvirt-daemon-driver-secret >= 2.0.0-26.2
  • libvirt-daemon-driver-storage >= 2.0.0-26.2
  • libvirt-daemon-lxc >= 2.0.0-26.2
  • libvirt-daemon-qemu >= 2.0.0-26.2
  • libvirt-doc >= 2.0.0-26.2
  • libvirt-lock-sanlock >= 2.0.0-26.2
  • libvirt-nss >= 2.0.0-26.2
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libvirt
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libvirt-devel >= 1.2.5-3.76
  • libvirt-devel-32bit >= 1.2.5-3.76
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libvirt-devel
SUSE Linux Enterprise Software Development Kit 12
  • libvirt-devel >= 1.2.5-13.3
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA libvirt-devel
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libvirt-devel >= 1.2.18.1-4.22
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libvirt-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libvirt-devel >= 2.0.0-26.2
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libvirt-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libvirt-devel >= 3.3.0-4.28
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libvirt-devel
SUSE Linux Enterprise Workstation Extension 12
  • libvirt-client-32bit >= 1.2.5-13.3
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 GA libvirt-client-32bit
SUSE Linux Enterprise Workstation Extension 12 SP1
  • libvirt-client-32bit >= 1.2.18.1-4.22
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP1 GA libvirt-client-32bit
SUSE Linux Enterprise Workstation Extension 12 SP2
  • libvirt-client-32bit >= 2.0.0-26.2
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA libvirt-client-32bit
openSUSE 11.3
  • libvirt-client-debuginfo >= 0.8.1-4.10.1
  • libvirt-debuginfo >= 0.8.1-4.10.1
  • libvirt-debugsource >= 0.8.1-4.10.1
  • libvirt-python-debuginfo >= 0.8.1-4.10.1
openSUSE 11.3
  • libvirt >= 0.8.1-4.10.1
  • libvirt-client >= 0.8.1-4.10.1
  • libvirt-devel >= 0.8.1-4.10.1
  • libvirt-doc >= 0.8.1-4.10.1
  • libvirt-python >= 0.8.1-4.10.1
openSUSE 11.4
  • libvirt >= 0.8.8-0.12.1
  • libvirt-client >= 0.8.8-0.12.1
  • libvirt-devel >= 0.8.8-0.12.1
  • libvirt-doc >= 0.8.8-0.12.1
  • libvirt-python >= 0.8.8-0.12.1
SUSE Linux Enterprise Software Development Kit 11 SP1
  • libvirt-devel >= 0.7.6-1.25.1
sles11-sp1.s390x
sles11-sp1.ppc
sles11-sp1.x86
sles11-sp1.ia64
sles11-sp1.x86-64
SAT Patch Nr: 4870
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Server 11 SP1
  • libvirt >= 0.7.6-1.25.1
  • libvirt-doc >= 0.7.6-1.25.1
  • libvirt-python >= 0.7.6-1.25.1
sles11-sp1.s390x
sles11-sp1.ppc
sles11-sp1.x86
sles11-sp1.ia64
sles11-sp1.x86-64
SAT Patch Nr: 4870
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • libvirt >= 0.3.3-18.20.20.1
  • libvirt-devel >= 0.3.3-18.20.20.1
  • libvirt-python >= 0.3.3-18.20.20.1
sles10-sp3.x86
sles10-sp3-debuginfo.x86
sles10-sp3-debuginfo.x86-64
sle10-sp3-sdk.x86-64
sles10-sp3.x86-64
sle10-sp3-sdk.x86
ZYPP Patch Nr: 7613
SUSE Linux Enterprise SDK 10 SP3
  • libvirt-devel >= 0.3.3-18.20.20.1
  • libvirt-python >= 0.3.3-18.20.20.1
sles10-sp3.x86
sles10-sp3-debuginfo.x86
sles10-sp3-debuginfo.x86-64
sle10-sp3-sdk.x86-64
sles10-sp3.x86-64
sle10-sp3-sdk.x86
ZYPP Patch Nr: 7613
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Desktop 10 SP4 for x86
  • libvirt >= 0.3.3-18.22.1
  • libvirt-python >= 0.3.3-18.22.1
sles10-sp4-debuginfo.x86
sle10-sp4-sdk.x86
sled10-sp4.x86
sled10-sp4.x86-64
sles10-sp4.x86
sle10-sp4-sdk.x86-64
sles10-sp4-debuginfo.x86-64
sles10-sp4.x86-64
ZYPP Patch Nr: 7616
SLE SDK 10 SP4 for X86-64
SLE SDK 10 SP4 for x86
  • libvirt-devel >= 0.3.3-18.22.1
  • libvirt-python >= 0.3.3-18.22.1
sles10-sp4-debuginfo.x86
sle10-sp4-sdk.x86
sled10-sp4.x86
sled10-sp4.x86-64
sles10-sp4.x86
sle10-sp4-sdk.x86-64
sles10-sp4-debuginfo.x86-64
sles10-sp4.x86-64
ZYPP Patch Nr: 7616
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for x86
  • libvirt >= 0.3.3-18.22.1
  • libvirt-devel >= 0.3.3-18.22.1
  • libvirt-python >= 0.3.3-18.22.1
sles10-sp4-debuginfo.x86
sle10-sp4-sdk.x86
sled10-sp4.x86
sled10-sp4.x86-64
sles10-sp4.x86
sle10-sp4-sdk.x86-64
sles10-sp4-debuginfo.x86-64
sles10-sp4.x86-64
ZYPP Patch Nr: 7616
openSUSE 11.4
  • libvirt >= 0.8.8-0.12.1
  • libvirt-client >= 0.8.8-0.12.1
  • libvirt-client-debuginfo >= 0.8.8-0.12.1
  • libvirt-debuginfo >= 0.8.8-0.12.1
  • libvirt-debugsource >= 0.8.8-0.12.1
  • libvirt-devel >= 0.8.8-0.12.1
  • libvirt-doc >= 0.8.8-0.12.1
  • libvirt-python >= 0.8.8-0.12.1
  • libvirt-python-debuginfo >= 0.8.8-0.12.1
Patchnames:
libvirt
openSUSE Leap 15.0
  • libvirt-client >= 4.0.0-lp150.6.18
  • libvirt-daemon >= 4.0.0-lp150.6.18
  • libvirt-daemon-config-network >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-interface >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-network >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-nodedev >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-nwfilter >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-qemu >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-secret >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-core >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-disk >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-iscsi >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-logical >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-mpath >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-rbd >= 4.0.0-lp150.6.18
  • libvirt-daemon-driver-storage-scsi >= 4.0.0-lp150.6.18
  • libvirt-daemon-qemu >= 4.0.0-lp150.6.18
  • libvirt-libs >= 4.0.0-lp150.6.18
Patchnames:
openSUSE Leap 15.0 GA libvirt-client
openSUSE Leap 42.1
  • libvirt >= 1.2.18.1-3.2
  • libvirt-client >= 1.2.18.1-3.2
  • libvirt-daemon >= 1.2.18.1-3.2
  • libvirt-daemon-config-network >= 1.2.18.1-3.2
  • libvirt-daemon-config-nwfilter >= 1.2.18.1-3.2
  • libvirt-daemon-driver-interface >= 1.2.18.1-3.2
  • libvirt-daemon-driver-libxl >= 1.2.18.1-3.2
  • libvirt-daemon-driver-lxc >= 1.2.18.1-3.2
  • libvirt-daemon-driver-network >= 1.2.18.1-3.2
  • libvirt-daemon-driver-nodedev >= 1.2.18.1-3.2
  • libvirt-daemon-driver-nwfilter >= 1.2.18.1-3.2
  • libvirt-daemon-driver-qemu >= 1.2.18.1-3.2
  • libvirt-daemon-driver-secret >= 1.2.18.1-3.2
  • libvirt-daemon-driver-storage >= 1.2.18.1-3.2
  • libvirt-daemon-driver-uml >= 1.2.18.1-3.2
  • libvirt-daemon-driver-vbox >= 1.2.18.1-3.2
  • libvirt-daemon-lxc >= 1.2.18.1-3.2
  • libvirt-daemon-qemu >= 1.2.18.1-3.2
  • libvirt-daemon-xen >= 1.2.18.1-3.2
Patchnames:
openSUSE Leap 42.1 GA libvirt
openSUSE Leap 42.2
  • libvirt >= 2.0.0-9.1
  • libvirt-client >= 2.0.0-9.1
  • libvirt-daemon >= 2.0.0-9.1
  • libvirt-daemon-config-network >= 2.0.0-9.1
  • libvirt-daemon-config-nwfilter >= 2.0.0-9.1
  • libvirt-daemon-driver-interface >= 2.0.0-9.1
  • libvirt-daemon-driver-libxl >= 2.0.0-9.1
  • libvirt-daemon-driver-lxc >= 2.0.0-9.1
  • libvirt-daemon-driver-network >= 2.0.0-9.1
  • libvirt-daemon-driver-nodedev >= 2.0.0-9.1
  • libvirt-daemon-driver-nwfilter >= 2.0.0-9.1
  • libvirt-daemon-driver-qemu >= 2.0.0-9.1
  • libvirt-daemon-driver-secret >= 2.0.0-9.1
  • libvirt-daemon-driver-storage >= 2.0.0-9.1
  • libvirt-daemon-driver-uml >= 2.0.0-9.1
  • libvirt-daemon-driver-vbox >= 2.0.0-9.1
  • libvirt-daemon-lxc >= 2.0.0-9.1
  • libvirt-daemon-qemu >= 2.0.0-9.1
  • libvirt-daemon-xen >= 2.0.0-9.1
Patchnames:
openSUSE Leap 42.2 GA libvirt
openSUSE Leap 42.3
  • libvirt >= 3.3.0-4.11
  • libvirt-client >= 3.3.0-4.11
  • libvirt-daemon >= 3.3.0-4.11
  • libvirt-daemon-config-network >= 3.3.0-4.11
  • libvirt-daemon-config-nwfilter >= 3.3.0-4.11
  • libvirt-daemon-driver-interface >= 3.3.0-4.11
  • libvirt-daemon-driver-libxl >= 3.3.0-4.11
  • libvirt-daemon-driver-lxc >= 3.3.0-4.11
  • libvirt-daemon-driver-network >= 3.3.0-4.11
  • libvirt-daemon-driver-nodedev >= 3.3.0-4.11
  • libvirt-daemon-driver-nwfilter >= 3.3.0-4.11
  • libvirt-daemon-driver-qemu >= 3.3.0-4.11
  • libvirt-daemon-driver-secret >= 3.3.0-4.11
  • libvirt-daemon-driver-storage >= 3.3.0-4.11
  • libvirt-daemon-driver-storage-core >= 3.3.0-4.11
  • libvirt-daemon-driver-storage-disk >= 3.3.0-4.11
  • libvirt-daemon-driver-storage-iscsi >= 3.3.0-4.11
  • libvirt-daemon-driver-storage-logical >= 3.3.0-4.11
  • libvirt-daemon-driver-storage-mpath >= 3.3.0-4.11
  • libvirt-daemon-driver-storage-rbd >= 3.3.0-4.11
  • libvirt-daemon-driver-storage-scsi >= 3.3.0-4.11
  • libvirt-daemon-driver-uml >= 3.3.0-4.11
  • libvirt-daemon-driver-vbox >= 3.3.0-4.11
  • libvirt-daemon-lxc >= 3.3.0-4.11
  • libvirt-daemon-qemu >= 3.3.0-4.11
  • libvirt-daemon-xen >= 3.3.0-4.11
  • libvirt-libs >= 3.3.0-4.11
Patchnames:
openSUSE Leap 42.3 GA libvirt
openSUSE Tumbleweed
  • libvirt >= 2.5.0-1.1
  • libvirt-admin >= 2.5.0-1.1
  • libvirt-client >= 2.5.0-1.1
  • libvirt-daemon >= 2.5.0-1.1
  • libvirt-daemon-config-network >= 2.5.0-1.1
  • libvirt-daemon-config-nwfilter >= 2.5.0-1.1
  • libvirt-daemon-driver-interface >= 2.5.0-1.1
  • libvirt-daemon-driver-libxl >= 2.5.0-1.1
  • libvirt-daemon-driver-lxc >= 2.5.0-1.1
  • libvirt-daemon-driver-network >= 2.5.0-1.1
  • libvirt-daemon-driver-nodedev >= 2.5.0-1.1
  • libvirt-daemon-driver-nwfilter >= 2.5.0-1.1
  • libvirt-daemon-driver-qemu >= 2.5.0-1.1
  • libvirt-daemon-driver-secret >= 2.5.0-1.1
  • libvirt-daemon-driver-storage >= 2.5.0-1.1
  • libvirt-daemon-driver-uml >= 2.5.0-1.1
  • libvirt-daemon-driver-vbox >= 2.5.0-1.1
  • libvirt-daemon-lxc >= 2.5.0-1.1
  • libvirt-daemon-qemu >= 2.5.0-1.1
  • libvirt-daemon-uml >= 2.5.0-1.1
  • libvirt-daemon-vbox >= 2.5.0-1.1
  • libvirt-daemon-xen >= 2.5.0-1.1
  • libvirt-devel >= 2.5.0-1.1
  • libvirt-devel-32bit >= 2.5.0-1.1
  • libvirt-doc >= 2.5.0-1.1
  • libvirt-libs >= 2.5.0-1.1
  • libvirt-lock-sanlock >= 2.5.0-1.1
  • libvirt-nss >= 2.5.0-1.1
Patchnames:
openSUSE Tumbleweed GA libvirt


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 libvirt Released
SUSE Linux Enterprise Desktop 10 SP4 libvirt Released
SUSE Linux Enterprise Desktop 11 SP1 libvirt Released
SUSE Linux Enterprise SDK 11 SP1 libvirt Released
SUSE Linux Enterprise Server 10 SP3 libvirt Released
SUSE Linux Enterprise Server 10 SP4 libvirt Released
SUSE Linux Enterprise Server 10 SP4 LTSS libvirt Released
SUSE Linux Enterprise Server 11 SP1 libvirt Released
SUSE Linux Enterprise Server 11 SP1 LTSS libvirt Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 libvirt Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 libvirt Released